diff --git a/utils/start-stop-daemon.c b/utils/start-stop-daemon.c
index 6aebe9b..7ae4a7f 100644
--- a/utils/start-stop-daemon.c
+++ b/utils/start-stop-daemon.c
@@ -1247,9 +1247,12 @@ get_proc_stat(pid_t pid, ps_flags_t flags)
 static kvm_t *
 ssd_kvm_open(void)
 {
-	kvm_t *kd;
+	static kvm_t *kd;
 	char errbuf[_POSIX2_LINE_MAX];
 
+	if (kd)
+		return kd;
+
 	kd = kvm_openfiles(NULL, KVM_MEMFILE, NULL, O_RDONLY, errbuf);
 	if (kd == NULL)
 		errx(1, "%s", errbuf);
@@ -1795,8 +1798,6 @@ do_procinit(void)
 			prog_status = pid_status;
 	}
 
-	kvm_close(kd);
-
 	return prog_status;
 }
 #endif
